/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import { Construct } from 'constructs';
import { DynamoEventSourceProps, S3EventSourceProps, KinesisEventSourceProps, StreamEventSourceProps } from 'aws-cdk-lib/aws-lambda-event-sources';
import * as sqs from 'aws-cdk-lib/aws-sqs';
export interface EventSourceProps {
    readonly eventSourceProps?: StreamEventSourceProps;
    readonly deploySqsDlqQueue?: boolean;
    readonly sqsDlqQueueProps?: sqs.QueueProps;
}
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function DefaultDynamoEventSourceProps(scope: Construct, dynamoEventSourceProps?: EventSourceProps): DynamoEventSourceProps;
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function DefaultS3EventSourceProps(s3EventSourceProps?: S3EventSourceProps): any;
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function DefaultKinesisEventSourceProps(scope: Construct, kinesisEventSourceProps?: EventSourceProps): KinesisEventSourceProps;
